--- /dev/null
+#!/bin/sh /etc/rc.common
+#
+# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+# Modified for Debian GNU/Linux
+# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+# Modified for boa by Bill Allombert <ballombe@debian.org>.
+# Modified for OpenWRT by Steven Barth <steven@midlink.org>.
+
+### BEGIN INIT INFO
+# Provides: boa
+# Required-Start: $local_fs $remote_fs $network
+# Required-Stop: $local_fs $remote_fs $network
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Boa: lightweight and high performance web server
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/boa
+NAME=boa
+DESC="HTTP server"
+START=49
+
+test -x $DAEMON || exit 0
+
+set -e
+
+start() {
+ echo -n "Starting $DESC: $NAME"
+ start-stop-daemon --start --quiet --exec $DAEMON
+ echo "."
+}
+
+stop() {
+ echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
+ echo "."
+}
+
+restart() {
+ echo -n "Restarting $DESC: $NAME... "
+ start-stop-daemon --stop --signal HUP --quiet --oknodo --exec $DAEMON
+ echo "done."
+}
+
+reload() {
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ echo -n "Reloading $DESC configuration... "
+ start-stop-daemon --stop --signal 1 --quiet --oknodo --exec $DAEMON
+ echo "done."
+}